Bug 842414 - Catalog needs to address layered product handling
Catalog needs to address layered product handling
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tony Fu
:
Depends On:
Blocks: 837717 842415 842416
  Show dependency treegraph
 
Reported: 2012-07-23 15:38 EDT by Rob Landry
Modified: 2012-11-15 22:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 22:14:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Tony Fu 2012-08-22 04:53:51 EDT
(In reply to comment #0)

> In any case this will also impact version handling as something needs to
> track that 2.1 is the current MRG and not list 2.1 as a version for RHEL.
> 
> Last up each of the current products belongs to a specific RHEL (RHEL6 in
> the MRG 2.1 case) so we need some way to track/admin that.

Hi Rob,

Can you please provide the list of valid product+version combinations?
Comment 3 Rob Landry 2012-08-22 11:44:57 EDT
Red Hat Enterprise Linux 2.1
 2.1 Update 1 
 2.1 Update 2
 ...
 2.1 Update 6
 2.1 Update 7

Red Hat Enterprise Linux 3
 3 Update 1
 3 Update 2
 ...
 3 Update 8
 3 Update 9

Red Hat Enterprise Linux 4
 4 Update 1
 4 Update 2
 4 Update 3
 4 Update 4
 4.5
 4.6
 ...
 4.8
 4.9

Red Hat Enterprise Linux 5
 5.1
 5.2
 ...
 5.7
 5.8
 
Red Hat Enterprise Linux 6
 6.1
 6.2
 6.3


...the MRG version list is under review by the MRG team.
Comment 6 Rob Landry 2012-08-30 10:26:19 EDT
Discussed with tfu on IRC, he will post discussion log and discussion with wshen.  Summary version, ACK more or less on the above but with changes for re-purposing closed/duplicate when product != RHEL in the child.
Comment 8 Tony Fu 2012-09-18 02:21:20 EDT
Created attachment 613854 [details]
product version map admin webUI

Applied this patch on web2
Comment 10 Tony Fu 2012-09-19 02:20:47 EDT
Created attachment 614204 [details]
change list.cgi code to list mrg and cloud certs
Comment 11 Tony Fu 2012-11-01 03:14:05 EDT
verified in web2
Comment 12 Tony Fu 2012-11-15 22:14:34 EST
verified on live system.

Note You need to log in before you can comment on or make changes to this bug.